List SAML SP Configurations
Retrieves a list of all Service Provider configurations for SAML clients within the Tenant, including details such as datamap, endpoints, and certificates.
Retrieves a list of all Service Provider configurations for SAML clients within the Tenant, including details such as datamap, endpoints, and certificates.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Response Body
application/json
application/json
curl -X GET "https://api.loginradius.com/v2/manage/custom-providers/saml"{
"Data": [
{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"IsDeleted": false,
"IsIdpInitiated": true,
"DataMap": {
"key1": "value1",
"key2": "value2"
},
"AppId": "507f1f77bcf86cd799439011",
"AppID": 123,
"RelayStateParameter": "relayState",
"Provider": "providerName",
"FriendlyProviderName": "Friendly Provider",
"DefaultLogoutUrl": "https://example.com/logout",
"ServiceProviderACSUrl": "https://example.com/acs",
"SamlServiceProvider": "SAML Service Provider",
"IdpCertificate": {
"Certificate": "certificate",
"Key": "key"
},
"SpCertificate": {
"Certificate": "certificate"
},
"IdentityProvider": {
"Binding": "binding",
"Location": "location",
"LogOut": "logout"
},
"EnableAutoLookUp": true,
"Domain": "example.com",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}
]
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}Update JWT SP configuration PUT
Updates an existing Service Provider (SP) configuration for a JWT client in the Tenant identified by the AppName, modifying settings such as endpoints, mapping, or other configuration details.
Create SAML SP Configuration POST
Creates a new Service Provider configuration for a SAML client within the Tenant, defining necessary settings for SAML authentication flows.